3 Replies Latest reply: Jun 18, 2013 11:26 PM by Deepu Muraleedharan RSS

    Minimum system requirements for installing Oracle Application Testing Suite

    969156
      Hi,

      Can anyone tell me what are the minimum system requirements for intalling Oracle Application Testing Suite?

      Thanks in Advance
        • 1. Re: Minimum system requirements for installing Oracle Application Testing Suite
          834498
          From the release notes (12.1.0.2).

          System Requirements
          Oracle Application Testing Suite has the following system requirements:
          4
          3.1 Oracle Functional Testing/OpenScript
          Oracle Functional Testing’s OpenScript scripting platform has the following system
          requirements:
          ■ Operating System (32-bit and 64-bit versions): Windows XP, Windows Vista,
          Windows 2003, Windows 7, Windows 2008
          ■ Memory: Minimum 1 GB
          ■ System: x86, 32-bit or 64-bit processor, 2.6 GHz or faster
          ■ Disk Space: 4 GB minimum
          ■ Browser: Internet Explorer 7.x, 8.x., 9.x and Firefox 3.5/3.6, 6.x
          3.2 Oracle Load Testing
          Oracle Load Testing has the following system requirements:
          ■ Operating System (32-bit and 64-bit versions): Windows XP, Windows Vista,
          Windows 2003, Windows 7, Windows 2008, Windows 2008 R2. Oracle Enterprise
          Linux 5.1, 5.2 64, 4u8.
          ■ Memory: Minimum 2 GB.
          ■ System: x86, 32-bit or 64-bit processor, 2.6 GHz or faster
          ■ Disk Space: 10 GB minimum free (at least 3 GB free on the system drive)
          ■ Browser: Internet Explorer 7.x, 8.x, 9.x, Firefox 3.5/3.6, 6.x
          ■ Database: Oracle EE 10g or 11g, XE 10g
          ■ Application Server: Oracle WebLogic 11g (10.3.5.0). Oracle Application Testing
          Suite requires the standard WebLogic Server installation (which includes jrocket
          jdk.). It does not support generic versions of WebLogic Server installation (such as
          those that use wls1035_generic.jar).
          ■ Oracle Load Testing Agent also supported on Linux 32-bit & 64-bit, in addition to
          Windows 32-bit and 64-bit operating systems listed above
          Note: These are minimum requirements only and actual
          requirements for the Oracle Load Testing Server will vary depending
          on the size and configuration of your load test. If you are running
          larger load tests, of greater than 1000 Virtual Users, you should
          consider deploying Oracle Load Testing on a faster server class
          machine with additional RAM recommended.
          Note: Oracle recommends running the Oracle Load Testing Server
          and Agents on separate systems for production load testing. The
          amount of memory required on the Oracle Load Testing Agent
          systems may increase based on the number of Virtual Users that will
          be assigned to run on each Agent. For more information, visit the
          QA/Testing Technology Center on Oracle Technology Network or
          contact your Oracle representative.
          5
          3.3 Oracle Test Manager
          Oracle Test Manager has the following system requirements:
          ■ Operating System (32-bit and 64-bit versions): Windows XP, Windows Vista,
          Windows 2003, Windows 7, Windows 2008, Windows 2008 R2. Oracle Enterprise
          Linux 5.1, 5.2, 4u8.
          ■ Memory: Minimum 2 GB.
          ■ System: x86, 32-bit or 64-bit processor, 2.6 GHz or faster
          ■ Disk Space: 10 GB minimum free (at least 3 GB free on the system drive)
          ■ Browser: Internet Explorer 7.x, 8.x, 9.x, Firefox 3.5/3.6, 6.x
          ■ Database: Oracle EE 10g or 11g, XE 10g
          ■ Application Server: Oracle WebLogic 11g (10.3.5.0). Oracle Application Testing
          Suite requires the standard WebLogic Server installation (which includes jrocket
          jdk.). It does not support generic versions of WebLogic Server installation (such as
          those that use wls1035_generic.jar).
          3.4 Additional Notes
          The following are additional notes about system requirements:
          ■ The ATS installer can automatically install and configure an Oracle 10g Express
          Edition (XE) database for use with Oracle Load Testing and Oracle Test Manager.
          Although this is useful for demos, for production usage switching to Oracle's 11g
          Enterprise Edition database is highly recommended. Oracle 11g Standard Edition
          and Oracle 10g EE or SE are also supported.
          ■ System memory requirements do not take into account other processes that may
          be running and using memory on your system, reducing free uncommitted
          memory available.
          ■ When installed on the same machine, Oracle Load Testing and Oracle Test
          Manager will run on the same server and use shared system resources. Oracle
          Functional Test/OpenScript is a separate application that have its own memory
          and CPU requirements.
          ■ The ATS products will run in 32-bit compatibility mode when installed on 64-bit
          operating systems. It is possible for Oracle Application Testing Suite to be installed
          on an existing WebLogic server. However, if the pre-installed WebLogic server is
          JRockit plus WebLogic (64-bit) environment, some functions in Oracle Application
          Testing Suite will not work properly. Oracle Application Testing Suite can be
          installed on a 32-bit WebLogic, but not a 64-bit.
          ■ The legacy Oracle Functional Testing, VB-based scripting platform and associated
          components (such as Job Scheduler) are no longer included with the ATS installer
          Note: These are minimum requirements only and actual
          requirements for Oracle Test Manager will vary depending on the
          quantity of test assets stored and number of concurrent users
          accessing the application. If you have a large quantity of test cases,
          requirements or issues stored and/or are deploying Oracle Test
          Manager for a team greater than 10 users, you should consider
          deploying Oracle Test Manager on a faster server class machine with
          additional RAM recommended.
          6
          starting with version 9.2. Customers that still require this product should
          • 2. Re: Minimum system requirements for installing Oracle Application Testing Suite
            54697075-73d9-4bf3-9eed-e43920562057

            And which version of JAVA?

             

             

            Cause I'm trying to record a test application in EBS and am having problems!

            • 3. Re: Minimum system requirements for installing Oracle Application Testing Suite
              Deepu Muraleedharan

              No need of installing different Java for OATS working. Install Java version needed for your EBS and make sure forms are launching without any exceptions.

               

              Regards,

              Deepu M